Customer
Update a customer
PUT
/
v1
/
customers
/
{id}
Update a customer
curl --request PUT \
--url https://dev.flextell.ai/api/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_id": 123,
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"user_id": 123,
"tags": [
123
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/customers/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_id": 123,
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"user_id": 123,
"tags": [123]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
phone_number: '<string>',
email: 'jsmith@example.com',
date_of_birth: '2023-11-07T05:31:56Z',
country_id: 123,
identity_number: '<string>',
job: '<string>',
address: '<string>',
default_channel_id: 123,
user_id: 123,
tags: [123]
})
};
fetch('https://dev.flextell.ai/api/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": "<string>",
"data": {
"message": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The customer identifier
Body
application/json
Customer's first name.
Maximum string length:
255Customer's last name.
Maximum string length:
255Customer's phone number.
Maximum string length:
20Customer's email address.
Maximum string length:
255Customer's date of birth.
Customer's gender.
Available options:
male, female, other Customer's country identifier.
Customer's identity number.
Customer's job title.
Maximum string length:
255Customer's address.
Maximum string length:
1000The customer's preferred default channel.
Assigned user identifier.
Tag identifiers to attach to the customer (full replace via sync).
A tag ID.
⌘I
Update a customer
